#ifndef SETTINGSDIALOGMOUSECLICKS_H
#define SETTINGSDIALOGMOUSECLICKS_H
#include "Tools/menuXP.h"
#include "Tools/ComboBoxXP.h"


// Bote de dialogue CSettingsDialogMouseClicks

class CSettingsDialogMouseClicks : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogMouseClicks)

public:
	bool CheckClicks();
	void FillClicksPopup(CComboBox* cb, int clicks);
	int GetClicks(CComboBox* cb);
	CSettingsDialogMouseClicks();
	virtual ~CSettingsDialogMouseClicks();

	CComboBoxXP m_clicksr4;
	CComboBoxXP m_clicksr3;
	CComboBoxXP m_clicksr2;
	CComboBoxXP m_clicksr1;
	CComboBoxXP m_clicks4;
	CComboBoxXP m_clicks3;
	CComboBoxXP m_clicks2;
	CComboBoxXP m_clicks1;
	CComboBoxXP m_pandh;
	BOOL m_noclicks;

	enum {
		IDD = IDD_SETTINGS_MOUSE_CLICKS
	};

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	afx_msg void OnNoClicks();

	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif
